
CoCoA-5 - Bug #1303

Manual looking for "?"

27 Aug 2019 11:09 - John Abbott

Status: Rejected Start date: 27 Aug 2019

Priority: Low Due date:  

Assignee: John Abbott % Done: 100%

Category: Manual/documentation Estimated time: 0.75 hour

Target version: CoCoA-5.3.0 Spent time: 0.60 hour

Description

CoCoA's behaviour on the following inputs is a bit unexpected:

? ?

? ??

? ???

? ????

 

Note: I found this because I had inadvertently left a ??? in some CoCoA code.

History

#1 - 02 Mar 2020 21:42 - John Abbott

- Status changed from New to In Progress

- Assignee set to John Abbott

- Target version changed from CoCoA-5.?.? to CoCoA-5.3.0

- % Done changed from 0 to 50

So what happens (now) is that the first ? of the search string is discarded.

Presumably ?<whitespace>? is recognized as ??.

This is mildly unfortunate, but not a major problem.

The relevant code seems to be quite convoluted.  I think the place to intervene would be Lexer::getHelpStatement.

Probably to do this correctly (i.e. to disallow whitespace between the two question-marks) we'd need to introduce a new type of help stmt, and make

getHelpStatement or the tokenizer more complicated.

It seems hard to justify such complication just to make CoCoA behave a little better when someone types in many question marks.

Anyway, the behaviour CoCoA is not that bad... the only problem is that it is tricky to look up "?" in the online manual (you have to type ??? and not ?

? as you might expect).

I propose rejecting this issue.

#2 - 05 Mar 2020 12:03 - John Abbott
- Status changed from In Progress to Rejected

- % Done changed from 50 to 100

- Estimated time set to 0.75 h

As previously written, this is not harmful; and it is better to direct our limited resources elsewhere.

Rejecting (so effectively closing).
